Detect authorization requirements for vault deposit
curl --request GET \
--url https://api.example.com/v2/core/permit \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v2/core/permit"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v2/core/permit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"method": "permit",
"permitData": {
"domain": {
"name": "USD Coin",
"version": "2",
"chainId": 1,
"verifyingContract": "0x..."
},
"types": {},
"value": {
"owner": "0x...",
"spender": "0x...",
"value": "1000000000000000000",
"nonce": "0",
"deadline": "9999999999"
},
"deadline": "9999999999"
},
"approvalTransaction": {
"encoded": "0x..."
}
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}core
Detect authorization requirements for vault deposit
GET
/
v2
/
core
/
permit
Detect authorization requirements for vault deposit
Authorizations
API key in format: pxl_<public_id>_
Query Parameters
BoringVault contract address (0x + 40 hex chars)
Example:
"0x..."
ERC-20 token address
Example:
"0x..."
Deposit amount in token base units (decimal string)
Example:
"1000000000000000000"
User wallet address
Example:
"0x..."
EVM chain ID
Example:
1
⌘I